The structure and content of the reports are subject to change without prior notice.
For example, a new column may be added or the name of the sheet may change.
Shelf Report
The method is available for models: FBY, FBS, Express and DBS.
If you are using an API Key token, one of the accesses in the list is required to call the method
- promotion — Product promotion
- finance-and-accounting — View financial data and reports
- all-methods — Full account management
Starts the generation of a summary report on the shelves — ad blocks with a banner or video and a set of products. Read more about them in the Help of the Market for sellers.
You can find out the generation status and get a link to the finished report using a request. GET v2/reports/info/{reportId}.
Explanation of the report columns:
Sheet Общий отчет (file shelfs_statistics_summary)
|
CSV column name |
JSON column name |
XLSX column name |
Value type |
|
DATE |
date |
Дата |
string |
|
INCUT_ID |
incutId |
ID кампании |
integer |
|
TITLE |
title |
Название кампании |
string |
|
IMPRESSIONS |
impressions |
Показы, шт. |
integer |
|
COVERAGE |
coverage |
Охват, чел. |
integer |
|
CLICKS |
clicks |
Клики, шт. |
integer |
|
CTR |
ctr |
CTR, % |
number |
|
AVERAGE_IMPRESSION_FREQUENCY |
averageImpressionFrequency |
Частота показа |
number |
|
TO_CART |
toCart |
Добавления в корзину, шт. |
integer |
|
ORDERED |
ordered |
Заказанные товары, шт. |
integer |
|
CONVERSION |
conversion |
Конверсия в заказы, % |
number |
|
ORDERED_AMOUNT |
orderedAmount |
Стоимость заказанных товаров, ₽ |
number |
|
CPO |
cpo |
СРО, ₽ |
number |
|
COST |
cost |
Расчётные расходы, ₽ |
number |
|
CPM |
cpm |
CPM, ₽ |
number |
|
DRR |
drr |
Доля расчётных расходов от выручки с полкой |
number |
|
REAL_COST |
realCost |
Фактические расходы (с НДС), ₽ |
number |
|
DEDUCTED_BONUSES |
deductedBonuses |
Списано бонусов |
number |
Sheet Таргетинг по категориям (file shelfs_statistics_by_category)
|
CSV column name |
JSON column name |
XLSX column name |
Value type |
|
DATE |
date |
Дата |
string |
|
INCUT_ID |
incutId |
ID кампании |
integer |
|
TITLE |
title |
Название кампании |
string |
|
SHOW_CATEGORY_NAME |
showCategoryName |
Категория показа полки |
string |
|
IMPRESSIONS |
impressions |
Показы, шт. |
integer |
|
COVERAGE |
coverage |
Охват, чел. |
integer |
|
CLICKS |
clicks |
Клики, шт. |
integer |
|
CTR |
ctr |
CTR, % |
number |
|
AVERAGE_IMPRESSION_FREQUENCY |
averageImpressionFrequency |
Частота показа |
number |
|
TO_CART |
toCart |
Добавления в корзину, шт. |
integer |
|
ORDERED |
ordered |
Заказанные товары, шт. |
integer |
|
CONVERSION |
conversion |
Конверсия в заказы, % |
number |
|
ORDERED_AMOUNT |
orderedAmount |
Стоимость заказанных товаров, ₽ |
number |
|
CPO |
cpo |
СРО, ₽ |
number |
|
COST |
cost |
Расчётные расходы, ₽ |
number |
|
CPM |
cpm |
CPM, ₽ |
number |
|
DRR |
drr |
Доля расчётных расходов от выручки с полкой |
number |
| ⚙️ Limit: 100 requests per hour |
|---|
Request
POST
https://api.partner.market.yandex.ru/v2/reports/shelf-statistics/generate
Query parameters
|
Name |
Description |
|
format |
Type: string The format of the report or document. Report format:
Default: Enum: |
Body
application/json
{
"businessId": 1,
"dateFrom": "2025-01-01",
"dateTo": "2025-01-01",
"attributionType": "CLICKS"
}
|
Name |
Description |
|
attributionType |
Type: string Attribution type:
For information about which data in the report depends and does not depend on the type of attribution, read in the Help of the Market for sellers. Enum: |
|
businessId |
Type: integer Cabinet ID. To find out, use the request GET v2/campaigns. ℹ️ What is a cabinet and a store on the Market? Min value: |
|
dateFrom |
Type: string<date> The beginning of the period, inclusive. Example: |
|
dateTo |
Type: string<date> End of the period, inclusive. Example: |
Responses
200 OK
In response, you receive an identifier that allows you to find out the generation status and download the finished report.
Body
application/json
{
"status": "OK",
"result": {
"reportId": "example",
"estimatedGenerationTime": 0
}
}
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
result
Type: object
estimatedGenerationTime
Type: integer
Expected generation time in milliseconds.
reportId
Type: string
The ID that will be needed to track the generation status and receive the finished report or document.
Example:
exampleThe ID that will be needed to track the generation status and receive the finished report or document.
Example
{ "reportId": "example", "estimatedGenerationTime": 0 }Example
{ "result": { "reportId": "example", "estimatedGenerationTime": 0 } }
400 Bad Request
The request contains incorrect data. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
401 Unauthorized
The authorization data is not specified in the request. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
403 Forbidden
The authorization data is incorrect or access to the resource is prohibited. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
420 Method Failure
The resource access limit has been exceeded. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
500 Internal Server Error
Internal error in Yandex. Market. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -